/**\
|**|	CopyBlits.h
\**/

#ifndef __COPYBLITS__
#define __COPYBLITS__

#include <QuickDraw.h>

#if PRAGMA_ONCE
#pragma once
#endif

#ifdef __cplusplus
extern "C" {
#endif

#if PRAGMA_IMPORT
#pragma import on
#endif

#if PRAGMA_STRUCT_ALIGN
	#pragma options align=mac68k
#elif PRAGMA_STRUCT_PACKPUSH
	#pragma pack(push, 2)
#elif PRAGMA_STRUCT_PACK
	#pragma pack(2)
#endif

// Prototypes
void Set_ColorTable(CTabHandle pCTabHandle);

void CopyBlits	(	const PixMapHandle srcPixMapHdl,
					const PixMapHandle dstPixMapHdl,
					const Rect *srcRect,
					const Rect *dstRect
);

// 194 fps vs. 300 fps CopyBits
void CopyBlits8	(	const PixMapHandle srcPixMapHdl,
					const PixMapHandle dstPixMapHdl,
					const Rect *srcRect,
					const Rect *dstRect
);

// 354 fps vs. 300 fps CopyBits
void CopyBlits8_8	(	const PixMapHandle srcPixMapHdl,
						const PixMapHandle dstPixMapHdl,
						const Rect *srcRect,
						const Rect *dstRect
);

// 50 fps vs. 42 fps CopyBits
void CopyBlits8_16	(	const PixMapHandle srcPixMapHdl,
						const PixMapHandle dstPixMapHdl,
						const Rect *srcRect,
						const Rect *dstRect
);

// 50 fps vs. 39 fps CopyBits
void CopyBlits8_32	(	const PixMapHandle srcPixMapHdl,
						const PixMapHandle dstPixMapHdl,
						const Rect *srcRect,
						const Rect *dstRect
);

#if PRAGMA_STRUCT_ALIGN
	#pragma options align=reset
#elif PRAGMA_STRUCT_PACKPUSH
	#pragma pack(pop)
#elif PRAGMA_STRUCT_PACK
	#pragma pack()
#endif

#ifdef PRAGMA_IMPORT_OFF
#pragma import off
#elif PRAGMA_IMPORT
#pragma import reset
#endif

#ifdef __cplusplus
}
#endif

#endif __COPYBLITS__
